/****************************************************************************
 * ubion.ORS - The Open Report Suite                                        *
 *                                                                          *
 * ------------------------------------------------------------------------ *
 *                                                                          *
 * Subproject: NOA (Nice Office Access)                                     *
 *                                                                          *
 *                                                                          *
 * The Contents of this file are made available subject to                  *
 * the terms of GNU Lesser General Public License Version 2.1.              *
 *                                                                          * 
 * GNU Lesser General Public License Version 2.1                            *
 * ======================================================================== *
 * Copyright 2003-2005 by IOn AG                                            *
 *                                                                          *
 * This library is free software; you can redistribute it and/or            *
 * modify it under the terms of the GNU Lesser General Public               *
 * License version 2.1, as published by the Free Software Foundation.       *
 *                                                                          *
 * This library is distributed in the hope that it will be useful,          *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
 * Lesser General Public License for more details.                          *
 *                                                                          *
 * You should have received a copy of the GNU Lesser General Public         *
 * License along with this library; if not, write to the Free Software      *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,                    *
 * MA  02111-1307  USA                                                      *
 *                                                                          *
 * Contact us:                                                              *
 *  http://www.ion.ag                                                       *
 *  info@ion.ag                                                             *
 *                                                                          *
 ****************************************************************************/
 
/*
 * Last changes made by $Author: andreas $, $Date: 2006-10-04 14:14:28 +0200 (Mi, 04 Okt 2006) $
 */
package ag.ion.bion.officelayer.application;

/**
 * Exception which may be thrown from OpenOffice.org application.
 * 
 * @author Andreas Brker
 * @version $Revision: 10398 $
 */
public class OfficeApplicationException extends Exception {
  
  private static final String DEFAULT_EXCEPTION_MESSAGE = "No message available.";
  
  //----------------------------------------------------------------------------
  /**
   * Constructs new OfficeApplicationException.
   * 
   * @author Andreas Brker
   */
  public OfficeApplicationException() {
    super();
  }
  //----------------------------------------------------------------------------
  /**
   * Constructs new OfficeApplicationException with the submitted message.
   * 
   * @param message message to be used
   * 
   * @author Andreas Brker 
   */
  public OfficeApplicationException(String message) {
    super(message == null ? DEFAULT_EXCEPTION_MESSAGE : message);
  }
  //----------------------------------------------------------------------------
  /**
   * Constructs new OfficeApplicationException with the submitted throwable.
   * 
   * @param throwable throwable to be used
   * 
   * @author Markus Krger
   */
  public OfficeApplicationException(Throwable throwable) {
    super(throwable.getMessage() == null ? DEFAULT_EXCEPTION_MESSAGE : throwable.getMessage());
    initCause(throwable);
  }
  //----------------------------------------------------------------------------
  /**
   * Constructs new OfficeApplicationException with the submitted throwable and a message.
   * 
   * @param message message to be used
   * @param throwable throwable to be used
   * 
   * @author Markus Krger
   */
  public OfficeApplicationException(String message, Throwable throwable) {
    super(message == null ? DEFAULT_EXCEPTION_MESSAGE : message);
    initCause(throwable);
  }
  //----------------------------------------------------------------------------
  
}