/****************************************************************************
 *                                                                          *
 * NOA (Nice Office Access)                                     						*
 * ------------------------------------------------------------------------ *
 *                                                                          *
 * The Contents of this file are made available subject to                  *
 * the terms of GNU Lesser General Public License Version 2.1.              *
 *                                                                          * 
 * GNU Lesser General Public License Version 2.1                            *
 * ======================================================================== *
 * Copyright 2003-2007 by IOn AG                                            *
 *                                                                          *
 * This library is free software; you can redistribute it and/or            *
 * modify it under the terms of the GNU Lesser General Public               *
 * License version 2.1, as published by the Free Software Foundation.       *
 *                                                                          *
 * This library is distributed in the hope that it will be useful,          *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        *
 * Lesser General Public License for more details.                          *
 *                                                                          *
 * You should have received a copy of the GNU Lesser General Public         *
 * License along with this library; if not, write to the Free Software      *
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,                    *
 * MA  02111-1307  USA                                                      *
 *                                                                          *
 * Contact us:                                                              *
 *  http://www.ion.ag																												*
 *  http://ubion.ion.ag                                                     *
 *  info@ion.ag                                                             *
 *                                                                          *
 ****************************************************************************/
 
/*
 * Last changes made by $Author: andreas $, $Date: 2006-10-04 14:14:28 +0200 (Mi, 04 Okt 2006) $
 */
package ag.ion.noa.printing;

/**
 * Properties for printing documents.
 * 
 * @author Markus Krger
 * @version $Revision: 10398 $
 */ 
public interface IPrintProperties {
	
  //----------------------------------------------------------------------------
  /**
   * Returns the number of copies to print.
   * 
   * @return the number of copies to print
   * 
   * @author Markus Krger
   * @date 16.08.2007
   */
  public short getCopyCount();
  //----------------------------------------------------------------------------
  /**
   * Returns the pages to print (e.g. "1, 3, 4-7, 9-").
   * 
   * @return the pages to print (e.g. "1, 3, 4-7, 9-")
   * 
   * @author Markus Krger
   * @date 16.08.2007
   */
  public String getPages();
  //----------------------------------------------------------------------------
	
}